kr.co.hanwha.hifive.data.source.contract

## Interface TaskDataSource

- All Superinterfaces:
    BaseDataSource
  All Known Implementing Classes:
    TaskDataRepository

      public interface TaskDataSource
      extends BaseDataSource

  TASK 관련 데이터 저장소 인터페이스
  See Also:
    `Created by sanghoonkwon on 2018. 1. 11..`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestDeleteTask(android.content.Context context, TaskData taskData, HanwhaNetworkCallback callback)` TASK 삭제
    `void` | `requestGetTaskDetail(android.content.Context context, int task_id, int project_id, HanwhaNetworkCallback<TaskDetailRoot> callback)` TASK 조회(상세조회)
    `void` | `requestHelpdeskDetails(android.content.Context context, HanwhaNetworkCallback<HelpdeskDataRoot> callback)` Helpdesk 정보 조회
    `void` | `requestSendTask(android.content.Context context, java.lang.String task_name, java.lang.String due_to, java.util.ArrayList<MemberInfoData> listMemberInfo, CampaignData campaignData, HanwhaNetworkCallback callback)` TASK 생성
    `void` | `requestSetTaskToday(android.content.Context context, TaskData taskData, boolean isToday, HanwhaNetworkCallback callback)` 내 TASK -> 오늘 할일 등록
    `void` | `requestUpdateTask(android.content.Context context, TaskData taskData, CampaignData campaignData, HanwhaNetworkCallback callback)` TASK 수정

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseDataSource

      `clearData`

- - ### Method Detail

    - #### requestSetTaskToday

          void requestSetTaskToday(@NonNull
                                   android.content.Context context,
                                   @NonNull
                                   TaskData taskData,
                                   @NonNull
                                   boolean isToday,
                                   @Nullable
                                   HanwhaNetworkCallback callback)

      내 TASK -> 오늘 할일 등록
      Parameters:
        `context` - Context
        `taskData` - Task 데이터
        `isToday` - TRUE : 오늘할 업무로 추가 / FALSE : 오늘할 업무에서 삭제
        `callback` - 콜백

    - #### requestSendTask

          void requestSendTask(@NonNull
                               android.content.Context context,
                               @NonNull
                               java.lang.String task_name,
                               @NonNull
                               java.lang.String due_to,
                               @NonNull
                               java.util.ArrayList<MemberInfoData> listMemberInfo,
                               @Nullable
                               CampaignData campaignData,
                               @Nullable
                               HanwhaNetworkCallback callback)

      TASK 생성
      Parameters:
        `context` - Context
        `task_name` - TASK 내용
        `due_to` - 기한 설정
        `listMemberInfo` - 받는사람 정보
        `campaignData` - Campaign Info
        `callback` - 콜백

    - #### requestGetTaskDetail

          void requestGetTaskDetail(@NonNull
                                    android.content.Context context,
                                    @NonNull
                                    int task_id,
                                    @NonNull
                                    int project_id,
                                    @Nullable
                                    HanwhaNetworkCallback<TaskDetailRoot> callback)

      TASK 조회(상세조회)
      Parameters:
        `context` - Context
        `task_id` - TASK ID
        `project_id` - PROJECT ID
        `callback` - 콜백

    - #### requestUpdateTask

          void requestUpdateTask(@NonNull
                                 android.content.Context context,
                                 @NonNull
                                 TaskData taskData,
                                 @Nullable
                                 CampaignData campaignData,
                                 @Nullable
                                 HanwhaNetworkCallback callback)

      TASK 수정
      Parameters:
        `context` - Context
        `taskData` - TASK 데이터
        `campaignData` - Campaign Info
        `callback` - 콜백

    - #### requestDeleteTask

          void requestDeleteTask(@NonNull
                                 android.content.Context context,
                                 @NonNull
                                 TaskData taskData,
                                 @Nullable
                                 HanwhaNetworkCallback callback)

      TASK 삭제
      Parameters:
        `context` - Context
        `taskData` - TASK 데이터
        `callback` - 콜백

    - #### requestHelpdeskDetails

          void requestHelpdeskDetails(@NonNull
                                      android.content.Context context,
                                      @Nullable
                                      HanwhaNetworkCallback<HelpdeskDataRoot> callback)

      Helpdesk 정보 조회
      Parameters:
        `context` - Context
        `callback` - 콜백